Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1475850 - Review Request: golang-github-rfjakob-eme - Encrypt-Mix-Encrypt for Go
Summary: Review Request: golang-github-rfjakob-eme - Encrypt-Mix-Encrypt for Go
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-27 13:24 UTC by Robert-André Mauchin 🐧
Modified: 2017-09-30 06:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-11 02:25:56 UTC
Type: Bug
Embargoed:
lemenkov: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2017-07-27 13:24:25 UTC
SPEC: https://github.com/eclipseo/packaging/blob/f6de7c0/golang-github-rfjakob-eme.spec
SRPM: https://kojipkgs.fedoraproject.org//work/tasks/510/20800510/golang-github-rfjakob-eme-1.1-1.fc27.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20800509

Description: EME (ECB-Mix-ECB or Encrypt-Mix-Encrypt) is a wide-block 
encryption mode developed by Halevi and Rogaway in 2003.

FAS username: eclipseo

This package is needed by rclone, bug #1473314.

Thanks.

Comment 3 Peter Lemenkov 2017-08-28 13:44:30 UTC
I'll review it

Comment 4 Peter Lemenkov 2017-08-28 13:46:59 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines (it was generated by gofed utility)
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT, https://opensource.org/licenses/MIT).
+ The file, containing the text of the license(s) for the package, is included as %license.
+ The spec file is written in American English.
+ The spec file for the package is legible as much as it applies to autogenerated stuff (just use gofed to regenerate it).
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha256sum v1.1.tar.gz eme-1.1.tar.gz 
f45d64484e7bdd6545a1a8d21471238aad340e195d904d848d742f9f49327e33  v1.1.tar.gz
f45d64484e7bdd6545a1a8d21471238aad340e195d904d848d742f9f49327e33  eme-1.1.tar.gz
Auriga ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


APPROVED.

Comment 5 Robert-André Mauchin 🐧 2017-08-28 13:51:15 UTC
Thank you for all your reviews!

Comment 6 Gwyn Ciesla 2017-09-01 19:21:43 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-rfjakob-eme

Comment 7 Fedora Update System 2017-09-02 17:52:18 UTC
golang-github-rfjakob-eme-1.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-50ee4c3e58

Comment 8 Fedora Update System 2017-09-02 17:52:47 UTC
golang-github-rfjakob-eme-1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2210d25dec

Comment 9 Fedora Update System 2017-09-02 17:53:17 UTC
golang-github-rfjakob-eme-1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e700e45e90

Comment 10 Fedora Update System 2017-09-03 05:25:08 UTC
golang-github-rfjakob-eme-1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2210d25dec

Comment 11 Fedora Update System 2017-09-03 06:26:20 UTC
golang-github-rfjakob-eme-1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e700e45e90

Comment 12 Fedora Update System 2017-09-03 19:55:36 UTC
golang-github-rfjakob-eme-1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-50ee4c3e58

Comment 13 Fedora Update System 2017-09-11 02:25:56 UTC
golang-github-rfjakob-eme-1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-09-11 04:21:05 UTC
golang-github-rfjakob-eme-1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-09-30 06:13:37 UTC
golang-github-rfjakob-eme-1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.